#include "banker.h"

static char buffer[BUFFER_LEN];
static char path[BUFFER_LEN];

#include "../algorithms.h"

#define WIN32_LEAN_AND_MEAN
#include <windows.h>


int upgrade_prizes[15] = {
	8,	/* guns */
	15,	/* multifire */
	10,	/* bouncing bullets */
	9,	/* bombs */
	19,	/* shrapnel */
	16,	/* proximity */
	6,	/* xradar */
	4,	/* stealth */
	2,	/* energy */
	1,	/* recharge */
	11,	/* thruster */
	3,	/* rotation */
	12,	/* top speed */
	5,	/* cloak */
	20	/* antiwarp */
};

char *upgrade_names[15] = {
	"Guns",
	"MultiFire",
	"BBullets",
	"Bombs",
	"Shrapnel",
	"Proximity",
	"XRadar",
	"Stealth",
	"Energy",
	"Recharge",
	"Thruster",
	"Rotation",
	"Speed",
	"Cloak",
	"AntiWarp"
};

char *ship_type[9] = {
	"Warbird",	
	"Javelin",	
	"Spider",	
	"Leviathan",
	"Terrier",	
	"Weasel",	
	"Lancaster",
	"Shark",
	"Spectator"
};

char *rank_type[10] = {
	"1",
	"2",
	"3",
	"4",
	"5",
	"6",
	"7",
	"8",
	"9",
	"10",
};


//////// Banker ////////

void LoadSettings(BankerSettings &setts)
{
	GetCurrentDirectory(BUFFER_LEN - 64, path);
	strcat(path, "\\rankbot.ini");

	for (int i = 0; i < NUM_RANKS; ++i)
	{
		GetPrivateProfileString("RankNames", rank_type[i], "-ERROR-", setts.RankName[i], BUFFER_LEN, path);
		GetPrivateProfileString("RankPoints", rank_type[i], "-1", buffer, BUFFER_LEN, path);
		setts.RankPoints[i] = getInteger(buffer, 10);
	}

	for (int i = 0; i < NUM_SHIPS; ++i)
	{
		GetPrivateProfileString("ShipNames", ship_type[i], "-ERROR-", setts.ShipName[i], BUFFER_LEN, path);
		GetPrivateProfileString("ShipRanks", ship_type[i], "-1", buffer, BUFFER_LEN, path);
		setts.ShipLevels[i] = getInteger(buffer, 10);
	}

	for (int i = 0; i < NUM_PRIZES; ++i)
	{
		GetPrivateProfileString("Upgrades", upgrade_names[i], "-1", buffer, BUFFER_LEN, path);
		setts.PrizeLevels[i] = getInteger(buffer, 10);
	}

	for (int i = 0; i < NUM_RULES; ++i)
	{
		GetPrivateProfileString("Rules", rank_type[i], "", setts.Rules[i], BUFFER_LEN, path);
	}
}
